%define major	0
%define api		0.3
%define spa_api	0.2
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d
%global groupname pipewire
%define PYTHON_PREFIX /usr/%_lib/
%define python 3
%define _libcameraversion 0.2.0

Name:		pipewire
Summary:	Media Sharing Server
BuildArch:	x86_64
Version:	1.0.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Servers
URL:		https://pipewire.org/
Source0:	https://gitlab.freedesktop.org/%{name}/-/archive/%{version}/%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
Source2:	90-wireplumber-start.conf
Source3:	70-%{name}-pulse-start.conf
Source4: pipewire.conf
BuildRequires:  xmltoman
BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:	graphviz
BuildRequires:	meson
BuildRequires:  pkgconfig(vulkan)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.32
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.10.0
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 1.10.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.10.0
BuildRequires:	pkgconfig(gstreamer-net-1.0) >= 1.10.0
BuildRequires:	pkgconfig(gstreamer-allocators-1.0) >= 1.10.0
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(sbc)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(libmysofa)
BuildRequires:	pkgconfig(webrtc-audio-processing)
BuildRequires:	pkgconfig(lilv-0)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	modemmanager-devel
BuildRequires:  lib64ldac-devel
BuildRequires:	perl-Unexpected
BuildRequires:	python3-docutils
BuildRequires: lib64ffado-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# I've split the session manager, but it still needs it to function as intended.
Requires: wireplumber

%description
PipeWire is a server and user space API to
deal with multimedia pipelines. This includes:

Making available sources of video (such as from a capture devices or
application provided streams) and multiplexing this with
clients.
Accessing sources of video for consumption.
Generating graphs for audio and video processing.

Nodes in the graph can be implemented as separate processes,
communicating with sockets and exchanging multimedia content using fd
passing.

PipeWire can replace PulseAudio, JACK, and other sound solutions and make
applications which use these work together in harmony.

#------------------------------------------------

%package -n	%{libname}
Summary:        Libraries for PipeWire clients
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the runtime libraries for any application that
wishes to interface with a PipeWire media server.

#------------------------------------------------

%package -n	%{devname}
Summary:        Headers and libraries for PipeWire client development
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	spa-devel = %{version}-%{release}

%description -n	%{devname}
Headers and libraries for developing applications that can communicate
with a PipeWire media server.

#------------------------------------------------

%package -n wireplumber
Summary: The WirePlumber session manager for PipeWire
Group:	System/Servers
BuildRequires:  meson gcc pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(lua)
BuildRequires:  gobject-introspection-devel
BuildRequires:  python3-lxml doxygen
Requires:	rtkit
Requires:	shadow-utils

%description -n wireplumber
WirePlumber is a powerful session manager for PipeWire and a GObject-
based high-level library that wraps PipeWire’s API, providing convenience
for writing the daemon’s modules as well as external tools for managing
PipeWire.

#------------------------------------------------

%package	doc
Summary:	PipeWire media server documentation
Group:		Documentation
Requires:	%{name} >= %{version}-%{release}

%description	doc
This package contains documentation for the PipeWire media server.

#------------------------------------------------

%package	utils
Summary:	PipeWire media server utilities
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}

%description	utils
This package contains command line utilities for the PipeWire
media server.

#------------------------------------------------

%package -n gstreamer1.0-%{name}
Summary:	GStreamer 1.0 plugin for the PipeWire multimedia server
Group:		System/Servers
Requires: %{name}

%description -n gstreamer1.0-%{name}
GStreamer 1.0 plugin for the PipeWire multimedia server.

#------------------------------------------------

%package alsa
Summary:        PipeWire media server ALSA support
Group:		System/Servers
License:        MIT

# Ensure this is provided by default to route all audio
Requires:    %{name}

%description alsa
This package contains an ALSA plugin for the PipeWire media server.

#------------------------------------------------

%package jack
Summary:        PipeWire JACK implementation
Group:		System/Servers
License:        MIT

Conflicts: lib64jack0
Provides:  lib64jack0 = %{version}-%{release}

Conflicts: jackit
Provides: jackit = %{version}-%{release}

Obsoletes:		%{name}-jack
Provides: %{name}-jack = %{version}-%{release}

Obsoletes: jackit-docs
Obsoletes: jackit-example-clients
Requires:    	%{name} = %{version}-%{release}

%description jack
This package provides a JACK implementation based on PipeWire

#------------------------------------------------

%package jack-devel
Summary:        Development files for %{name}-jack
Group:		Development/Libraries
License:        MIT

Conflicts: lib64jack-devel
Provides: lib64jack-devel = %{version}-%{release}
Requires:       %{name}-jack = %{version}-%{release}

%description jack-devel
This package provides development files for building JACK applications
using PipeWire's JACK library.

#------------------------------------------------

%package plugin-libcamera
Summary:        PipeWire media server libcamera support
License:        MIT
Group:		System/Servers
Recommends:     %{name} = %{version}-%{release}

BuildRequires:	pkgconfig(libcamera-base)
BuildRequires:  libcamera-devel
BuildRequires:  libdrm-devel

Requires:       %{libname} = %{version}-%{release}
Requires:       lib64camera%{_libcameraversion}
Requires:       libdrm

%description plugin-libcamera
This package contains the PipeWire spa plugin to access cameras through libcamera.

#------------------------------------------------

%package pulseaudio
Summary:        PipeWire PulseAudio implementation
License:        MIT
Group:		System/Servers

Requires:       %{libname}
BuildRequires:  %{mklibname pulseaudio 0}
# Fixed pulseaudio subpackages
Obsoletes:      %{name}-libpulse
Obsoletes:      %{name}-pulseaudio
Provides:      %{name}-libpulse
Provides:      %{name}-pulseaudio
# Ensure this is provided by default to route all audio
Provides:    %{name} = %{version}-%{release}

# Replace PulseAudio with PipeWire-PulseAudio
Conflicts:     pulseaudio
Conflicts:     pulseaudio-module-bluetooth
Conflicts:     pulseaudio-module-gconf
Conflicts:     pulseaudio-module-jack
Conflicts:     pulseaudio-module-lirc
Conflicts:     pulseaudio-module-x11
Conflicts:     pulseaudio-module-zeroconf
Conflicts:     pulseaudio-module-equalizer


Provides:	   pulseaudio
Provides:      pulseaudio-module-bluetooth
Provides:      pulseaudio-module-gconf
Provides:      pulseaudio-module-gsettings
Provides:      pulseaudio-module-jack
Provides:      pulseaudio-module-lirc
Provides:      pulseaudio-module-x11
Provides:      pulseaudio-module-zeroconf
Provides:      pulseaudio-module-equalizer

%description pulseaudio
This package provides a PulseAudio implementation based on PipeWire

#------------------------------------------------

%package v4l2
Summary:        PipeWire media server v4l2 LD_PRELOAD support
License:        MIT
Group:		System/Servers
Requires:       %{libname}

%description v4l2
This package contains an LD_PRELOAD library that redirects v4l2 applications to
PipeWire.

#------------------------------------------------

%prep
%setup -q

%build

./autogen.sh

# from tex
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"

%meson \
	-D systemd=disabled -D systemd-system-service=disabled -D systemd-user-service=disabled -D systemd-user-unit-dir=disabled \
	-D bluez5-codec-lc3plus=disabled \
    -D docs=disabled \
    -D man=disabled \
	-D dbus=enabled \
	-D pam-defaults-install=true \
	-D gstreamer=enabled \
    -D gstreamer-device-provider=enabled \
	-D audiotestsrc=enabled \
	-D videotestsrc=enabled \
    -D volume=enabled \
	-D bluez5-codec-aptx=disabled \
	-D roc=disabled \
    -D jack=enabled \
    -D jack-devel=true \
    -D libjack-path=%{_libdir} \
    -D libcamera=enabled \
    -D udevrulesdir=/lib/udev/rules.d \
    -D pipewire-alsa=enabled \
	-D pipewire-jack=enabled \
	-D pipewire-v4l2=enabled \
	-D alsa=enabled \
	-D spa-plugins=enabled \
	-D volume=enabled \
	-D audiomixer=enabled \
	-D audioconvert=enabled \
	-D bluez5=enabled \
	-D bluez5-backend-native-mm=enabled \
	-D bluez5-backend-hsp-native=enabled \
	-D bluez5-backend-hfp-native=enabled \
	-D bluez5-backend-ofono=enabled \
	-D bluez5-backend-hsphfpd=enabled \
	-D bluez5-codec-aptx=disabled \
	-D bluez5-codec-ldac=enabled \
	-D bluez5-codec-aac=enabled \
	-D bluez5-codec-lc3plus=disabled \
	-D bluez5-codec-opus=enabled \
	-D ffmpeg=enabled \
	-D jack=enabled \
	-D jack-devel=true \
	-D support=enabled \
	-D evl=disabled \
	-D v4l2=enabled \
	-D dbus=enabled \
	-D videoconvert=enabled \
	-D videotestsrc=enabled \
	-D vulkan=enabled \
	-D udev=enabled \
	-D udevrulesdir="/etc/udev/rules.d/" \
	-D sdl2=enabled \
	-D sndfile=enabled \
	-D libpulse=enabled \
	-D libmysofa=enabled \
	-D avahi=enabled \
	-D echo-cancel-webrtc=enabled \
	-D libusb=enabled \
	-D lv2=enabled \
	-D x11=enabled \
	-D x11-xfixes=enabled \
	-D libcanberra=enabled \
	-D legacy-rtkit=true \
	-D pw-cat=enabled \
	-D pw-cat-ffmpeg=enabled \
	-D session-managers=wireplumber \
    -D rtprio-server=60 -D rtprio-client=55 -D rlimits-rtprio=70

%meson_build

%install
# Create local config skeleton for wireplumber
mkdir -p %{buildroot}%{_sysconfdir}/wireplumber/{bluetooth.lua.d,common,main.lua.d,policy.lua.d}

%meson_install

# make conf.d for later
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf.d

# jack's
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
echo %{_libdir}/pipewire-%{api}/jack/ > %{buildroot}%{_sysconfdir}/ld.so.conf.d/pipewire-jack.conf

# Put in place the xdg autostart desktop entry. This starts PipeWire after launching a new session.
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp %{_sourcedir}/%{name}.desktop %{buildroot}%{_sysconfdir}/xdg/autostart

# Put in place these conf files needed to launch WirePlumber and PulseAudio through PipeWire directly
cp %{_sourcedir}/{90-wireplumber-start.conf,70-%{name}-pulse-start.conf} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf.d

#alsa stuff
mkdir -p %{buildroot}%{_sysconfdir}/alsa/conf.d/
cp %{buildroot}%{_datadir}/alsa/alsa.conf.d/50-pipewire.conf %{buildroot}%{_sysconfdir}/alsa/conf.d/50-pipewire.conf
cp %{buildroot}%{_datadir}/alsa/alsa.conf.d/99-pipewire-default.conf %{buildroot}%{_sysconfdir}/alsa/conf.d/99-pipewire-default.conf

# For our soundprofile thingie
mkdir -p %{buildroot}%{_sysconfdir}/sound/profiles/pulse/
cat > %{buildroot}%{_sysconfdir}/sound/profiles/pulse/alsa-default.conf <<EOF
# This file is left blank
EOF

#fix bell
install -m 0644 %SOURCE4 %buildroot/%{_datadir}/pipewire/pipewire.conf



%post
#fix pipewire users
groupdel pipewire >/dev/null 2>&1
getent group pipewire >/dev/null 2>&1
groupadd -r pipewire >/dev/null 2>&1
getent passwd pipewire >/dev/null 2>&1
useradd -r -g pipewire -d /run/pipewire -s /sbin/nologin -c "PipeWire System Daemon" pipewire >/dev/null 2>&1

#add users to pipewire group
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do
usermod -a -G pipewire $idx >/dev/null 2>&1
chown -R $idx:$idx /home/$idx
done

%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%post pulseaudio
# Disable pulseaudio autostart if it exists, it shouldn't but you never know
if [ -r /etc/xdg/autostart/pulseaudio.desktop ]; then
	if ! grep -q "^Hidden=true$" /etc/xdg/autostart/pulseaudio.desktop ; then
	echo "Hidden=true" >> /etc/xdg/autostart/pulseaudio.desktop
	fi
fi

# Edit /etc/pulse/client.conf to disable autospawn (if it exists):
if [ -r /etc/pulse/client.conf ]; then
  sed -i "s/autospawn = yes/autospawn = no/g" /etc/pulse/client.conf
  sed -i "s/allow-autospawn-for-root = yes/allow-autospawn-for-root = no/g" /etc/pulse/client.conf
fi

# Recommend a reboot
echo "A reboot is recommended to start the pipewire sound system."


%files
%dir %{_sysconfdir}/%{name}

%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf.d/90-wireplumber-start.conf
%config(noreplace) %{_sysconfdir}/security/limits.d/20-pw-defaults.conf
%config(noreplace) %{_sysconfdir}/security/limits.d/25-pw-rlimits.conf
%config(noreplace) %{_sysconfdir}/udev/rules.d/90-pipewire-alsa.rules

%{_bindir}/%{name}
%{_bindir}/pipewire-aes67
%{_bindir}/pipewire-vulkan
%{_bindir}/pw-config
%{_bindir}/pw-encplay

%{_libdir}/%{name}-%{api}/
%{_libdir}/spa-0.2/
#%%{_mandir}/man1/%{name}.1*

%{_datadir}/pipewire/client.conf
%{_datadir}/pipewire/client-rt.conf
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%{_sysconfdir}/xdg/autostart/%{name}.desktop

#-------------------------------------------------------------------------------

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Wp-0.5.typelib
%{_libdir}/libwireplumber-0.5.so.*
%{_libdir}/wireplumber-*/libwireplumber-module-*.so
%{_datadir}/pipewire/client-rt.conf
%{_datadir}/pipewire/client.conf
%{_datadir}/pipewire/client-rt.conf.avail/20-upmix.conf
%{_datadir}/pipewire/client.conf.avail/20-upmix.conf
%{_datadir}/pipewire/pipewire-aes67.conf
%{_datadir}/pipewire/pipewire-pulse.conf.avail/20-upmix.conf
%{_datadir}/pipewire/pipewire-vulkan.conf
%{_datadir}/pipewire/pipewire.conf.avail/10-rates.conf
%{_datadir}/pipewire/pipewire.conf.avail/20-upmix.conf
%{_datadir}/zsh/site-functions/_wpctl
%{_datadir}/pipewire/minimal.conf
%{_datadir}/pipewire/filter-chain.conf
%{_datadir}/pipewire/filter-chain/sink-make-LFE.conf
%{_datadir}/pipewire/filter-chain/sink-mix-FL-FR.conf
%{_datadir}/pipewire/pipewire-avb.conf
%{_datadir}/pipewire/filter-chain/source-duplicate-FL.conf
%{_datadir}/pipewire/filter-chain/demonic.conf
%{_datadir}/pipewire/filter-chain/sink-dolby-surround.conf
%{_datadir}/pipewire/filter-chain/sink-eq6.conf
%{_datadir}/pipewire/filter-chain/sink-matrix-spatialiser.conf
%{_datadir}/pipewire/filter-chain/sink-virtual-surround-5.1-kemar.conf
%{_datadir}/pipewire/filter-chain/sink-virtual-surround-7.1-hesuvi.conf
%{_datadir}/pipewire/filter-chain/source-rnnoise.conf
%{_datadir}/pipewire/jack.conf
%{_datadir}/pipewire/pipewire-pulse.conf
%{_datadir}/pipewire/pipewire.conf
%{_datadir}/spa-0.2/bluez5/bluez-hardware.conf
%{_datadir}/gir-1.0/Wp-0.*.gir

#-------------------------------------------------------------------------------

%files -n %{devname}
%{_includedir}/%{name}-%{api}/
%{_includedir}/spa-%{spa_api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc
%{_libdir}/pkgconfig/libspa-%{spa_api}.pc
%{_includedir}/wireplumber-*/wp/*
%{_libdir}/libwireplumber-*.so
%{_libdir}/pkgconfig/wireplumber-*.pc
%{_libdir}/alsa-lib/libasound_module_ctl_pipewire.so
%{_libdir}/alsa-lib/libasound_module_pcm_pipewire.so

#-------------------------------------------------------------------------------

%files doc
#empty
#-------------------------------------------------------------------------------

%files utils
%{_bindir}/pw-mon
%{_bindir}/pw-cli
%{_bindir}/pipewire-avb
%{_bindir}/pipewire-pulse
%{_bindir}/pw-cat
%{_bindir}/pw-dot
%{_bindir}/pw-dsdplay
%{_bindir}/pw-dump
%{_bindir}/pw-jack
%{_bindir}/pw-link
%{_bindir}/pw-loopback
%{_bindir}/pw-metadata
%{_bindir}/pw-mididump
%{_bindir}/pw-midiplay
%{_bindir}/pw-midirecord
%{_bindir}/pw-play
%{_bindir}/pw-profiler
%{_bindir}/pw-record
%{_bindir}/pw-reserve
%{_bindir}/pw-top
%{_bindir}/pw-v4l2
%{_bindir}/spa-acp-tool
%{_bindir}/spa-json-dump
%{_bindir}/spa-resample
%{_bindir}/spa-monitor
%{_bindir}/spa-inspect

#%%{_mandir}/man1/pw-*.bz2
#%%{_mandir}/man1/pipewire*.bz2
#%%{_mandir}/man5/pipewire*.bz2
#%%{_mandir}/man7/libpipewire*.bz2
#%%{_mandir}/man7/pipewire*.bz2

#-------------------------------------------------------------------------------

%files -n gstreamer1.0-%{name}
%{_libdir}/gstreamer-1.0/libgst%{name}.so

#-------------------------------------------------------------------------------

%files alsa
%config %{_sysconfdir}/alsa/conf.d/50-pipewire.conf
%config %{_sysconfdir}/alsa/conf.d/99-pipewire-default.conf
%config %{_sysconfdir}/sound/profiles/pulse/alsa-default.conf
%{_libdir}/alsa-lib/libasound_module_pcm_pipewire.so
%{_libdir}/alsa-lib/libasound_module_ctl_pipewire.so
%{_datadir}/alsa/alsa.conf.d/50-pipewire.conf
%{_datadir}/alsa/alsa.conf.d/99-pipewire-default.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-aux.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-dock-mic.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-fm.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-front-mic.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-headphone-mic.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-headset-mic.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-internal-mic-always.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-internal-mic.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-linein.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-mic-line.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-mic.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-mic.conf.common
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-rear-mic.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-tvtuner.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-video.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input.conf.common
%{_datadir}/alsa-card-profile/mixer/paths/analog-output-chat.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output-headphones-2.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output-headphones.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output-lineout.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output-mono.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output-speaker-always.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output-speaker.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output.conf.common
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-0.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-1.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-10.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-2.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-3.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-4.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-5.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-6.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-7.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-8.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-9.conf
%{_datadir}/alsa-card-profile/mixer/paths/iec958-stereo-input.conf
%{_datadir}/alsa-card-profile/mixer/paths/iec958-stereo-output.conf
%{_datadir}/alsa-card-profile/mixer/paths/steelseries-arctis-output-chat-common.conf
%{_datadir}/alsa-card-profile/mixer/paths/steelseries-arctis-output-game-common.conf
%{_datadir}/alsa-card-profile/mixer/paths/usb-gaming-headset-input.conf
%{_datadir}/alsa-card-profile/mixer/paths/usb-gaming-headset-output-mono.conf
%{_datadir}/alsa-card-profile/mixer/paths/usb-gaming-headset-output-stereo.conf
%{_datadir}/alsa-card-profile/mixer/paths/virtual-surround-7.1.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/analog-only.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/audigy.conf

%{_datadir}/alsa-card-profile/mixer/paths/audigy-analog-output-mirror.conf
%{_datadir}/alsa-card-profile/mixer/paths/audigy-analog-output.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/9999-custom.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/asus-xonar-se.conf

%{_datadir}/alsa-card-profile/mixer/profile-sets/cmedia-high-speed-true-hdaudio.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/default.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/dell-dock-tb16-usb-audio.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/force-speaker-and-int-mic.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/force-speaker.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/hp-tbt-dock-120w-g2.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/hp-tbt-dock-audio-module.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/kinect-audio.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/maudio-fasttrack-pro.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/native-instruments-audio4dj.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/native-instruments-audio8dj.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/native-instruments-komplete-audio6.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/native-instruments-korecontroller.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/native-instruments-traktor-audio10.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/native-instruments-traktor-audio2.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/native-instruments-traktor-audio6.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/native-instruments-traktorkontrol-s4.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/sb-omni-surround-5.1.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/sennheiser-gsx.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/simple-headphones-mic.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/steelseries-arctis-common-usb-audio.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/texas-instruments-pcm2902.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/usb-gaming-headset.conf

#-------------------------------------------------------------------------------

%files -n wireplumber
%{_bindir}/wireplumber
%{_bindir}/wpctl
%{_bindir}/wpexec

%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/access.conf
%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/alsa.conf
%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/bluetooth.conf
%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/device.conf
%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/libcamera.conf
%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/linking.conf
%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/log.conf
%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/stream.conf
%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/v4l2.conf
%{_datadir}/doc/wireplumber/examples/wireplumber.conf.d/virtual.conf

%{_datadir}/wireplumber/scripts/fallback-sink.lua
%{_datadir}/wireplumber/scripts/intended-roles.lua
%{_datadir}/wireplumber/scripts/metadata.lua
%{_datadir}/wireplumber/scripts/sm-objects.lua
%{_datadir}/wireplumber/scripts/node/software-dsp.lua

%{_datadir}/wireplumber/scripts/client/access-default.lua
%{_datadir}/wireplumber/scripts/client/access-portal.lua
%{_datadir}/wireplumber/scripts/client/access-snap.lua

%{_datadir}/wireplumber/scripts/default-nodes/apply-default-node.lua
%{_datadir}/wireplumber/scripts/default-nodes/find-best-default-node.lua
%{_datadir}/wireplumber/scripts/default-nodes/find-selected-default-node.lua
%{_datadir}/wireplumber/scripts/default-nodes/rescan.lua
%{_datadir}/wireplumber/scripts/default-nodes/state-default-nodes.lua

%{_datadir}/wireplumber/scripts/device/apply-profile.lua
%{_datadir}/wireplumber/scripts/device/apply-routes.lua
%{_datadir}/wireplumber/scripts/device/autoswitch-bluetooth-profile.lua
%{_datadir}/wireplumber/scripts/device/find-best-profile.lua
%{_datadir}/wireplumber/scripts/device/find-best-routes.lua
%{_datadir}/wireplumber/scripts/device/select-profile.lua
%{_datadir}/wireplumber/scripts/device/select-routes.lua
%{_datadir}/wireplumber/scripts/device/state-profile.lua
%{_datadir}/wireplumber/scripts/device/state-routes.lua
%{_datadir}/wireplumber/scripts/device/find-preferred-profile.lua

%{_datadir}/wireplumber/scripts/lib/common-utils.lua
%{_datadir}/wireplumber/scripts/lib/device-info-cache.lua
%{_datadir}/wireplumber/scripts/lib/filter-utils.lua
%{_datadir}/wireplumber/scripts/lib/linking-utils.lua
%{_datadir}/wireplumber/scripts/lib/monitor-utils.lua

%{_datadir}/wireplumber/scripts/linking/find-best-target.lua
%{_datadir}/wireplumber/scripts/linking/find-default-target.lua
%{_datadir}/wireplumber/scripts/linking/find-defined-target.lua
%{_datadir}/wireplumber/scripts/linking/find-filter-target.lua
%{_datadir}/wireplumber/scripts/linking/find-user-target.lua.example
%{_datadir}/wireplumber/scripts/linking/find-virtual-target.lua
%{_datadir}/wireplumber/scripts/linking/get-filter-from-target.lua
%{_datadir}/wireplumber/scripts/linking/link-target.lua
%{_datadir}/wireplumber/scripts/linking/prepare-link.lua
%{_datadir}/wireplumber/scripts/linking/rescan.lua
%{_datadir}/wireplumber/scripts/linking/rescan-virtual-links.lua

%{_datadir}/wireplumber/scripts/monitors/alsa-midi.lua
%{_datadir}/wireplumber/scripts/monitors/alsa.lua
%{_datadir}/wireplumber/scripts/monitors/bluez.lua
%{_datadir}/wireplumber/scripts/monitors/bluez-midi.lua
%{_datadir}/wireplumber/scripts/monitors/libcamera/create-device.lua
%{_datadir}/wireplumber/scripts/monitors/libcamera/create-node.lua
%{_datadir}/wireplumber/scripts/monitors/libcamera/enumerate-device.lua
%{_datadir}/wireplumber/scripts/monitors/libcamera/name-device.lua
%{_datadir}/wireplumber/scripts/monitors/libcamera/name-node.lua
%{_datadir}/wireplumber/scripts/monitors/v4l2/create-device.lua
%{_datadir}/wireplumber/scripts/monitors/v4l2/create-node.lua
%{_datadir}/wireplumber/scripts/monitors/v4l2/enumerate-device.lua
%{_datadir}/wireplumber/scripts/monitors/v4l2/name-device.lua
%{_datadir}/wireplumber/scripts/monitors/v4l2/name-node.lua

%{_datadir}/wireplumber/scripts/node/create-item.lua
%{_datadir}/wireplumber/scripts/node/create-virtual-item.lua
%{_datadir}/wireplumber/scripts/node/filter-forward-format.lua
%{_datadir}/wireplumber/scripts/node/state-stream.lua
%{_datadir}/wireplumber/scripts/node/suspend-node.lua
%{_datadir}/wireplumber/wireplumber.conf
%{_datadir}/wireplumber/wireplumber.conf.d/alsa-vm.conf
#-------------------------------------------------------------------------------

%files jack
%{_bindir}/pw-jack
%{_libdir}/libjack.so.*
%{_libdir}/libjacknet.so.*
%{_libdir}/libjackserver.so.*
%{_datadir}/pipewire/jack.conf
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/pipewire-jack.conf
#%%{_mandir}/man1/pw-jack.1*

#-------------------------------------------------------------------------------

%files jack-devel
%{_includedir}/jack/
%{_libdir}/libjack.so
%{_libdir}/libjacknet.so
%{_libdir}/libjackserver.so
%{_libdir}/pkgconfig/jack.pc
#-------------------------------------------------------------------------------

%files pulseaudio
%{_bindir}/pipewire-pulse
%{_datadir}/pipewire/pipewire-pulse.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf.d/70-%{name}-pulse-start.conf
#%%{_mandir}/man1/pipewire-pulse.1*
#-------------------------------------------------------------------------------

%files v4l2
%{_bindir}/pw-v4l2
%{_libdir}/pipewire-%{api}/v4l2/libpw-v4l2.so

#-------------------------------------------------------------------------------

%files plugin-libcamera
%{_libdir}/spa-%{spa_api}/libcamera/libspa-libcamera.so


%changelog
* Mon Apr 15 2024 tex - 1.0.5-1pclos2024
- new version
- set bell to false by default

* Fri Mar 22 2024 tex - 1.0.4-2pclos2024
-  add conf for alsa pipewire
-  try to fix user getting name:pipewire instead of
- name:name for id and group
- split task from pkg

* Mon Mar 18 2024 tex - 1.0.4-1pclos2024
- new version

* Sat Feb 24 2024 tex - 1.0.3-5pclos2024
- drop pulseaudio-module-equalizer
- fix rpm groups

* Sat Feb 24 2024 tex - 1.0.3-4pclos2024
- add alsa profile thingie

* Wed Feb 21 2024 hunter0one <hunter2k1@disroot.org> - 1.0.3.3pclos2024
- Disabled obsoleting jack and alsa plugins

* Wed Feb 21 2024 hunter0one <hunter2k1@disroot.org> - 1.0.3.2pclos2024
- More complete version with properly split WirePlumber and libcamera plugin

* Tue Feb 20 2024 hunter0one <hunter2k1@disroot.org> - 1.0.3.1pclos2024
- WIP version

